<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<style type="text/css">
div{
	width:500px;
	height:200px;
	background-color:#ccc;
	border:1px solid #000;
	margin:10px auto;
	background-image:url(imgs/th2.jpg);
	background-size:100% 100%;
}
div>#barra{
	border:none;
	margin:0px;
	background-color:#0F6;
	background-image:none;
}
</style>
<script type="text/javascript">
	window.addEventListener("load",()=>{

		var barra=document.querySelector("#barra");
		barra.style.width="100%";
		var aumentar=document.querySelector("#aumentar");
		var disminuir=document.querySelector("#disminuir");

		aumentar.addEventListener("click",()=>{

			var ancho=parseInt(barra.style.width);
			ancho=ancho+5;
			if(ancho<=100){
			barra.style.width=ancho+"%";
			}
		});

		disminuir.addEventListener("click",()=>{

			var ancho=parseInt(barra.style.width);
			ancho=ancho-5;
			if(ancho>=0){
			barra.style.width=ancho+"%";
			}
		});

	});



// function disminuir(){
// 	var barra=document.querySelector("#barra");
// 	var ancho=parseInt(barra.style.width);
// 	ancho=ancho-5;
// 	if(ancho>=0){
// 		barra.style.width=ancho+"%";
// 	}
// }

// function aumentar(){
// 	var barra=document.querySelector("#barra");
// 	var ancho=parseInt(barra.style.width);
// 	ancho=ancho+5;
// 	if(ancho<=100){
// 		barra.style.width=ancho+"%";
// 	}
// }

// function cargar(){
// 	var barra=document.querySelector("#barra");
// 	barra.style.width="100%";
// }
</script>
</head>

<body>
<div>
<div id="barra">
</div>
</div>
<form name="formulario">
<input type="button" value="decrementar" id="disminuir">
<input type="button" value="incrementar" id="aumentar">
</form>
</body>
</html>
